---

- name: Prepare environment
  include_tasks: prepare.yml

- name: Configure nginx exporter
  include_tasks: nginx-exporter.yml

- name: Create environment
  include_tasks: create_env.yml

- name: Start docker compose
  include_tasks: docker_compose.yml

- name: Install MinIO configuration
  include_tasks: configure-minio.yml
  tags: minio

- name: Install full sonogram generation script
  include_tasks: generate-full-sonos.yml

- name: Install mail notifications script
  include_tasks: mail-notifications.yml

- name: Install NBA export script
  include_tasks: nba-export.yml
  when: nba_exporter is truthy(convert_bool=True)

- name: Install rotate play stats script
  include_tasks: rotate-play-stats.yml

- name: Install daily stats script
  include_tasks: update-daily-stats.yml

- name: Install hourly stats script
  include_tasks: update-hourly-stats.yml

- name: Install sitemap generator script
  include_tasks: generate-sitemap.yml

- name: Start autoblock service
  include_tasks: auto-block.yml

- name: Logout of docker registry, remove the temporary deployment token
  community.docker.docker_login:
    state: absent

- name: Set token for login to private gitlab registry
  community.docker.docker_login:
    registry_url: "{{ lookup('env', 'CI_REGISTRY_USER') }}"
    username: gitlab_registry_puller
    password: "{{ gitlab_registry_token }}"
    state: present
  when: gitlab_registry_token is defined

- name: Install sound recognition script
  include_tasks: sound-recognition.yml
